Description

People who suffer from color blindness or color perception problems, can depend heavily on the rollover tooltips in the color select

dialogs. It would be great to have these color tooltips in QGIS. Color blindness effects 7-10% of men and 0.5-1% women, so I am sure this

would benefit many users.

History

#1 - 2013-05-20 04:27 PM - Nathan Woodrow

Good idea!

Which dialogs do you think need this?  And what would you want to see in the tooltip.

#2 - 2013-05-20 04:49 PM - Larry Shaffer

Yes, very good idea. This can easily be added to the QgsColorButton class. I'd suggest a tool tip like:

Hex: #value

R,G,B,A: value

H,S,V (H,S,B): value

Could also have H,S,L. It kind of varies between platform color pickers whether H,S,L is used. Qt's QColor has both H,S,V and H,S,L functions. On Mac, it

is usually H,S,B.

It could have a title like '<b>Color</b>' or none.

#3 - 2013-05-20 05:09 PM - Thomas McAdam

There seems to be a common 'color select' dialog that is used for fill color, font color, border color, custom color ramps etc. So I guess all of them ideally. In

terms of what to see, I had originally thought a color name for the 'basic colors' that are displayed in the grid. Such as 'Dark Green', 'Red', 'Light Blue'. But

the idea of having more detailed information on the color in the tooltip could be really useful. It would mean that it could also be used for custom colors,

which wouldn't have pre-defined names.

#4 - 2013-05-21 11:24 PM - Matthias Kuhn

There is QStringList QColor::colorNames() which returns a list of known color names. I have 148 entries here. I suspect it would not affect performance too

much to create a Color => String QMap / QHash and look a pretty name up if available. This one could be shown along with the detailed RGB / HSV et al

value.
#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-09-22 10:06 AM - Jürgen Fischer

- Category set to Unknown
